std::this_thread::get_id(3)

NAME
std::this_thread::get_id - std::this_thread::get_id

Synopsis
   Defined in header <thread>
   std::thread::id get_id() noexcept; (since C++11)
   Returns the id of the current thread.

Parameters
   (none)

Return value
   id of the current thread

Example
// Run this code
 #include <iostream>
 #include <thread>
 #include <chrono>
 #include <mutex>
 std::mutex g_display_mutex;
 void foo()
 {
     std::thread::id this_id = std::this_thread::get_id();
     g_display_mutex.lock();
     std::cout << "thread " << this_id << " sleeping...\n";
     g_display_mutex.unlock();
     std::this_thread::sleep_for(std::chrono::seconds(1));
 }
 int main()
 {
     std::thread t1(foo);
     std::thread t2(foo);
     t1.join();
     t2.join();
 }

Possible output:
 thread 0x2384b312 sleeping...
 thread 0x228a10fc sleeping...

See also
   get_id returns the id of the thread
          (public member function of std::thread)